JSB file for ExtJS 5 on Eclipse

Get help with Spket IDE.
Post Reply
LeDuc08
Posts: 2
Joined: Wed Mar 11, 2015 3:10 pm

JSB file for ExtJS 5 on Eclipse

Post by LeDuc08 » Wed Mar 11, 2015 3:23 pm

Hello,

I'm new to use spket module on eclipse.
I have make the installation of spket as eclipse feature without issue from here : https://github.com/DIRACGrid/WebAppDIRA ... ping-ExtJs

But, we have to select a jsb* file to activate correctly the completion of ExtJS methodes.
I try the JSB file present on the home tab of Spket portail, so I get some completion, but not all (like Ext.define).

I find a lot of suggestion for ExtJS 4 but not for 5, so could you please tell me which file I have to select from Ext-5.1.0 folder when I set the "javascript Profiles" ?

Thank you in advance for your help.

LeDuc

eric_suen
Site Admin
Posts: 678
Joined: Wed Sep 28, 2005 7:00 am
Contact:

Re: JSB file for ExtJS 5 on Eclipse

Post by eric_suen » Wed Mar 11, 2015 6:55 pm

Yes, even with correct setting, you will miss lots of function, after all Ext 5 changed a lot.

LeDuc08
Posts: 2
Joined: Wed Mar 11, 2015 3:10 pm

Re: JSB file for ExtJS 5 on Eclipse

Post by LeDuc08 » Thu Mar 12, 2015 7:48 am

Thank you for your reply,

So, If I well understand, for the moment we can not have all function of ExtJS 5 with spket.
Could we hope an improvement ? In which time ?

Have a nice day.

kamleshs752
Posts: 1
Joined: Tue Jun 02, 2015 9:22 am

Re: JSB file for ExtJS 5 on Eclipse

Post by kamleshs752 » Tue Jun 02, 2015 9:42 am

Hiii,
i have installed spket plugin and sencha complete i.e. 5.0.1 . and i followed this link https://github.com/DIRACGrid/WebAppDIRA ... ping-ExtJs
but , in my Extjs complete nowhere i find .jsb3 file .
can anyone suggest a solution
Thanks

Meural
Posts: 1
Joined: Tue Aug 30, 2016 10:48 am

Re: JSB file for ExtJS 5 on Eclipse

Post by Meural » Wed Aug 31, 2016 5:56 am

LeDuc08 wrote:Thank you for your reply,

So, If I well understand, for the moment we recommend phen375 can not have all function of ExtJS 5 with spket.
Could we hope an improvement ? In which time ?

Have a nice day.
So ExtJS 5 is not compatible with Spket but ExtJS 4 is?
Last edited by Meural on Sun Feb 19, 2017 5:08 pm, edited 2 times in total.

eric_suen
Site Admin
Posts: 678
Joined: Wed Sep 28, 2005 7:00 am
Contact:

Re: JSB file for ExtJS 5 on Eclipse

Post by eric_suen » Thu Sep 01, 2016 3:29 am

Spket supports Ext 4/5/6, what you need is jsb file for Ext which can be found in viewtopic.php?f=3&t=3692

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests